org.apache.cxf.staxutils.transform

## Class InTransformReader

- java.lang.Object
- - org.apache.cxf.staxutils.DepthXMLStreamReader
  - - org.apache.cxf.staxutils.transform.InTransformReader

- All Implemented Interfaces:
    XMLStreamConstants, XMLStreamReader

      public class InTransformReader
      extends DepthXMLStreamReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

      `reader`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InTransformReader(XMLStreamReader reader, Map<String,String> inMap, Map<String,String> appendMap, boolean blockOriginalReader)`
    `InTransformReader(XMLStreamReader reader, Map<String,String> inEMap, Map<String,String> appendMap, List<String> dropESet, Map<String,String> inAMap, boolean blockOriginalReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttributeCount()`
    `String` | `getAttributeLocalName(int arg0)`
    `QName` | `getAttributeName(int arg0)`
    `String` | `getAttributeNamespace(int arg0)`
    `String` | `getAttributePrefix(int arg0)`
    `String` | `getAttributeType(int arg0)`
    `String` | `getAttributeValue(int arg0)`
    `String` | `getAttributeValue(String namespace, String localName)`
    `String` | `getLocalName()`
    `QName` | `getName()`
    `NamespaceContext` | `getNamespaceContext()`
    `String` | `getNamespacePrefix(int index)`
    `String` | `getNamespaceURI()`
    `String` | `getNamespaceURI(int index)`
    `String` | `getNamespaceURI(String prefix)`
    `String` | `getPrefix()`
    `Object` | `getProperty(String name)`
    `XMLStreamReader` | `getReader()`
    `String` | `getText()`
    `char[]` | `getTextCharacters()`
    `int` | `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
    `int` | `getTextLength()`
    `int` | `next()`

    - ### Methods inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

      `close, equals, getCharacterEncodingScheme, getDepth, getElementText, getEncoding, getEventType, getLocation, getNamespaceCount, getPIData, getPITarget, getTextStart, getVersion, hashCode, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, nextTag, require, standaloneSet, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InTransformReader

          public InTransformReader(XMLStreamReader reader,
                                   Map<String,String> inMap,
                                   Map<String,String> appendMap,
                                   boolean blockOriginalReader)

    - #### InTransformReader

          public InTransformReader(XMLStreamReader reader,
                                   Map<String,String> inEMap,
                                   Map<String,String> appendMap,
                                   List<String> dropESet,
                                   Map<String,String> inAMap,
                                   boolean blockOriginalReader)

  - ### Method Detail

    - #### getReader

          public XMLStreamReader getReader()

      Overrides:
        `getReader` in class `DepthXMLStreamReader`

    - #### next

          public int next()
                   throws XMLStreamException

      Specified by:
        `next` in interface `XMLStreamReader`
      Overrides:
        `next` in class `DepthXMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty(String name)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in interface `XMLStreamReader`
      Overrides:
        `getProperty` in class `DepthXMLStreamReader`
      Throws:
        `IllegalArgumentException`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `XMLStreamReader`
      Overrides:
        `getLocalName` in class `DepthXMLStreamReader`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamReader`
      Overrides:
        `getNamespaceContext` in class `DepthXMLStreamReader`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `XMLStreamReader`
      Overrides:
        `getPrefix` in class `DepthXMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI(int index)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`
      Overrides:
        `getNamespaceURI` in class `DepthXMLStreamReader`

    - #### getNamespacePrefix

          public String getNamespacePrefix(int index)

      Specified by:
        `getNamespacePrefix` in interface `XMLStreamReader`
      Overrides:
        `getNamespacePrefix` in class `DepthXMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI(String prefix)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`
      Overrides:
        `getNamespaceURI` in class `DepthXMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`
      Overrides:
        `getNamespaceURI` in class `DepthXMLStreamReader`

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `XMLStreamReader`
      Overrides:
        `getName` in class `DepthXMLStreamReader`

    - #### getAttributeCount

          public int getAttributeCount()

      Specified by:
        `getAttributeCount` in interface `XMLStreamReader`
      Overrides:
        `getAttributeCount` in class `DepthXMLStreamReader`

    - #### getAttributeLocalName

          public String getAttributeLocalName(int arg0)

      Specified by:
        `getAttributeLocalName` in interface `XMLStreamReader`
      Overrides:
        `getAttributeLocalName` in class `DepthXMLStreamReader`

    - #### getAttributeName

          public QName getAttributeName(int arg0)

      Specified by:
        `getAttributeName` in interface `XMLStreamReader`
      Overrides:
        `getAttributeName` in class `DepthXMLStreamReader`

    - #### getAttributeNamespace

          public String getAttributeNamespace(int arg0)

      Specified by:
        `getAttributeNamespace` in interface `XMLStreamReader`
      Overrides:
        `getAttributeNamespace` in class `DepthXMLStreamReader`

    - #### getAttributePrefix

          public String getAttributePrefix(int arg0)

      Specified by:
        `getAttributePrefix` in interface `XMLStreamReader`
      Overrides:
        `getAttributePrefix` in class `DepthXMLStreamReader`

    - #### getAttributeType

          public String getAttributeType(int arg0)

      Specified by:
        `getAttributeType` in interface `XMLStreamReader`
      Overrides:
        `getAttributeType` in class `DepthXMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue(int arg0)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`
      Overrides:
        `getAttributeValue` in class `DepthXMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue(String namespace,
                                          String localName)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`
      Overrides:
        `getAttributeValue` in class `DepthXMLStreamReader`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `XMLStreamReader`
      Overrides:
        `getText` in class `DepthXMLStreamReader`

    - #### getTextCharacters

          public char[] getTextCharacters()

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`
      Overrides:
        `getTextCharacters` in class `DepthXMLStreamReader`

    - #### getTextCharacters

          public int getTextCharacters(int sourceStart,
                                       char[] target,
                                       int targetStart,
                                       int length)
                                throws XMLStreamException

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`
      Overrides:
        `getTextCharacters` in class `DepthXMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getTextLength

          public int getTextLength()

      Specified by:
        `getTextLength` in interface `XMLStreamReader`
      Overrides:
        `getTextLength` in class `DepthXMLStreamReader`

Apache CXF